# gumInternal.c File Reference

`#include "gumInternal.h"`
`#include <math.h>`
`#include <string.h>`

Include dependency graph for gumInternal.c:

## Functions

void | gumMultMatrix (ScePspFMatrix4 *result, const ScePspFMatrix4 *a, const ScePspFMatrix4 *b)
void | gumMakeIdentity (ScePspFMatrix4 *m)
void | gumCrossProduct (ScePspFVector3 *r, const ScePspFVector3 *a, const ScePspFVector3 *b)
void | gumNormalize (ScePspFVector3 *v)

## Variables

int | gum_current_mode = GU_PROJECTION
int | gum_matrix_update [4] = { 0 }
ScePspFMatrix4 * | gum_current_matrix = gum_matrix_stack[GU_PROJECTION]
ScePspFMatrix4 * | gum_stack_depth [4]
ScePspFMatrix4 | gum_matrix_stack [4][32]

## Function Documentation

void gumCrossProduct | ( | ScePspFVector3 * | r,
|  | const ScePspFVector3 * | a,
|  | const ScePspFVector3 * | b
| ) |

void gumMakeIdentity | ( | ScePspFMatrix4 * | m | ) |

void gumMultMatrix | ( | ScePspFMatrix4 * | result,
|  | const ScePspFMatrix4 * | a,
|  | const ScePspFMatrix4 * | b
| ) |

void gumNormalize | ( | ScePspFVector3 * | v | ) |

## Variable Documentation

ScePspFMatrix4* gum_current_matrix = gum_matrix_stack[GU_PROJECTION]

int gum_current_mode = GU_PROJECTION

ScePspFMatrix4 gum_matrix_stack[4][32]

int gum_matrix_update[4] = { 0 }

ScePspFMatrix4* gum_stack_depth[4]

Initial value:

    {
      gum_matrix_stack[GU_PROJECTION],
      gum_matrix_stack[GU_VIEW],
      gum_matrix_stack[GU_MODEL],
      gum_matrix_stack[GU_TEXTURE]
    }